addrinfo(1)

NAME
addrinfo - .TH "addrinfo" 1 "Fri Mar 11 2011" "Version 1.12.11" "sofia-sip-utils"

NAME
addrinfo - .SH "Synopsis"

addrinfo [-pcn46] service-name host

Description

The addrinfo utility will use su_getaddrinfo() to resolve the network services and print resolved names. See sect 6.1 of RFC3493 and the getaddrinfo(3) manual page of POSIX 1003.1g, for more information.

Options

The addrinfo utility accepts following ccommand line options:

-p  use passive open.

-c  get canonic name.

-n  use numeric host names.

-4  IPv4 only.

-6  IPv6 only (but including mapped IPv4 addresses).

Reporting Bugs

Report bugs to <sofia-sip-devel@lists.sourceforge.net>.

Author

Written by Pekka Pessi <pekka -dot pessi -at- nokia -dot- com>

Copyright

Copyright (C) 2005,2007 Nokia Corporation.

This program is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.